# Video Hub App

[*Video Hub App*](https://videohubapp.com/) é o jeito mais rápido de navegar e procurar vídeos em seu computador. Pense nele com um Youtube para os vídeos do seu computador: navegue, procure e veja prévias. Disponível para Windows, Mac e Linux!

Leia em outra línguas: [English](https://github.com/whyboris/Video-Hub-App/blob/master/README.md)

## Baixe agora

Esse programa é disponível por US$ 3.50 pelo [videohubapp.com](https://videohubapp.com/download.html)

O dinheiro de cada venda é destinado a Fundação Contra a Malaria ([Against Malaria Foundation](https://www.againstmalaria.com/).)

![Video Hub App](https://videohubapp.com/images/4.jpg)

## Sobre

*Video Hub App* foi criado por [Boris Yakubchik](https://videohubapp.com/about.html). Usa _Angular_ e _Electron_.

## Licença

Esse programa foi desenvolvida em cima do [`angular-electron`](https://github.com/maximegris/angular-electron) por [Maxime GRIS](https://github.com/maximegris). Leva a licença do _MIT_ (checar o arquivo _LICENSE_). Mesmo que a licença seja permissiva, eu peço que não distribua cópias gratuítas desse programa a menos que você tenha feito mudanças significativas.

## Contribuindo

Eu adoraria ver as melhorias que você venha a fazer para o programa e fico em aceitar pull requests. Você pode acompanhar, se quiser coordenar / colaborar, ou apenas ir para [issues](https://github.com/whyboris/Video-Hub-App/issues) para ver o que já está sendo trabalhado e adicionar novas sugestões.

Por favor, adicione traduções se souber outra língua. É um processo que vai durar entre 5-10 minutos, basta [seguir as intruçÕes](https://github.com/whyboris/Video-Hub-App/tree/master/src/app/i18n)!

## Próximas mudanças

Uma lista das próximas mudanças está [listada no site oficial](https://videohubapp.com/future.html). Veja também [issues](https://github.com/whyboris/Video-Hub-App/issues) para ver o que está em progresso.

## Desenvolvimento

As principais dependências utilizadas:

| Library     | Version | Date        | Comment |
| -------     | ------- | ----        | ------- |
| Angular     | v8.2.3  | August 2019 |         |
| Angular-CLI | v8.2.3  | August 2019 |         |
| Electron    | v6.0.6  | August 2019 | (internally uses Node v12.4.0 and Chromium 76) |
| Electron Builder | v21.2.0 | August 2019 |     |

O programa funcionar com as últimas versões do Node e NPM (Junho de 2019). Note que você vai precisar instalar o [Angular CLI](https://cli.angular.io) para rodar o projeto (`npm install -g @angular/cli`).

## Obrigado

Esse programa não existiria sem o grande trabalho de outras pessoas:

 - [Angular](https://github.com/angular/angular)
 - [Electron](https://github.com/electron/electron)
 - [FFmpeg](https://www.ffmpeg.org/)
 - [angular-electron](https://github.com/maximegris/angular-electron)
 - [angular2-virtual-scroll](https://www.npmjs.com/package/angular2-virtual-scroll)
 - [@ffmpeg-installer/ffmpeg](https://www.npmjs.com/package/@ffmpeg-installer/ffmpeg)
 - [@ffprobe-installer/ffprobe](https://www.npmjs.com/package/@ffprobe-installer/ffprobe)
 - [ngx-translate](https://github.com/ngx-translate/core)

Desde que se tornou Open Source, esse programa foi melhorado graças as contribuições de [cal2195](https://github.com/cal2195)
