# Video Hub App

[*Video Hub App*](https://videohubapp.com/) is the fastest way to browse and search for videos on your computer. Think of it like YouTube for videos on your computer: browse, search, and preview. Works on Windows, Mac, and Linux!

Read in another language: [Português (Brasileiro)](https://github.com/whyboris/Video-Hub-App/blob/master/README.br.md)

## Download now

This software is available for $3.50 through [videohubapp.com](https://videohubapp.com/download.html)

$3.50 of every sale goes to the [_cost-effective_](https://www.givewell.org/charities/top-charities) charity [Against Malaria Foundation](https://www.againstmalaria.com/).

![Video Hub App](https://videohubapp.com/images/4.jpg)

## About

*Video Hub App* was created by [Boris Yakubchik](https://videohubapp.com/about.html). It uses _Angular_ and _Electron_.

## License

This software was built on top of [`angular-electron`](https://github.com/maximegris/angular-electron) by [Maxime GRIS](https://github.com/maximegris). It carries an _MIT_ license (see the _LICENSE_ file). While the license is permissive, I ask that you do not distribute free copies of this software unless you have significantly changed it.

## Contributing

I would love to see the improvements you make to this app and am happy to accept pull requests. You can reach out if you'd like to coordinate / collaborate, or just jump to [issues](https://github.com/whyboris/Video-Hub-App/issues) to see what's already getting worked on and to add new suggestions!

Please add a translation if you know another language. It's a process that will take you 5-10 minutes, just [follow the instructions](https://github.com/whyboris/Video-Hub-App/tree/master/i18n)!

Please consider improving or adding an icon to the app. It's a simple process, just [follow the instructions](https://github.com/whyboris/Video-Hub-App/tree/master/src/app/components/icon)!

## Upcoming features

A list of upcoming features is [listed on the official website](https://videohubapp.com/future.html). Also see [issues](https://github.com/whyboris/Video-Hub-App/issues) for what is in progress.

## Development

Main dependencies in use:

| Library     | Version | Date        | Comment |
| -------     | ------- | ----        | ------- |
| Angular     | v8.2.3  | August 2019 |         |
| Angular-CLI | v8.2.3  | August 2019 |         |
| Electron    | v6.0.6  | August 2019 | (internally uses Node v12.4.0 and Chromium 76) |
| Electron Builder | v21.2.0 | August 2019 |     |

App confirmed to work with latest versions of node and npm as of June 2019. Note you'll need to install the [Angular CLI](https://cli.angular.io) to run the project (`npm install -g @angular/cli`).

## Thank you

This software would not be possible without the tremendous work by other people:

 - [Angular](https://github.com/angular/angular)
 - [Electron](https://github.com/electron/electron)
 - [FFmpeg](https://www.ffmpeg.org/)
 - [angular-electron](https://github.com/maximegris/angular-electron)
 - [angular2-virtual-scroll](https://www.npmjs.com/package/angular2-virtual-scroll)
 - [@ffmpeg-installer/ffmpeg](https://www.npmjs.com/package/@ffmpeg-installer/ffmpeg)
 - [@ffprobe-installer/ffprobe](https://www.npmjs.com/package/@ffprobe-installer/ffprobe)
 - [ngx-translate](https://github.com/ngx-translate/core)

Since becoming open source, this software was made better with the awesome contributions by [cal2195](https://github.com/cal2195)
